io.vertx.rxjava.ext.web

## Class Cookie

- java.lang.Object
- - io.vertx.rxjava.ext.web.Cookie

-     public class Cookie
      extends Object

  Represents an HTTP Cookie.

  All cookies must have a name and a value and can optionally have other fields set such as path, domain, etc.

  (Derived from io.netty.handler.codec.http.Cookie)

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cookie(Cookie delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cookie` | `cookie(String name, String value)` Create a new cookie
    `String` | `encode()` Encode the cookie to a string.
    `Object` | `getDelegate()`
    `String` | `getDomain()`
    `String` | `getName()`
    `String` | `getPath()`
    `String` | `getValue()`
    `boolean` | `isChanged()` Has the cookie been changed? Changed cookies will be saved out in the response and sent to the browser.
    `static Cookie` | `newInstance(Cookie arg)`
    `void` | `setChanged(boolean changed)` Set the cookie as being changed.
    `Cookie` | `setDomain(String domain)` Sets the domain of this cookie
    `Cookie` | `setHttpOnly(boolean httpOnly)` Determines if this cookie is HTTP only.
    `Cookie` | `setMaxAge(long maxAge)` Sets the maximum age of this cookie in seconds.
    `Cookie` | `setPath(String path)` Sets the path of this cookie.
    `Cookie` | `setSecure(boolean secure)` Sets the security getStatus of this cookie
    `Cookie` | `setValue(String value)` Sets the value of this cookie

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cookie

          public Cookie(Cookie delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### cookie

          public static Cookie cookie(String name,
                                      String value)

      Create a new cookie
      Parameters:
        `name` - the name of the cookie
        `value` - the cookie value
      Returns:
        the cookie

    - #### getName

          public String getName()

      Returns:
        the name of this cookie

    - #### getValue

          public String getValue()

      Returns:
        the value of this cookie

    - #### setValue

          public Cookie setValue(String value)

      Sets the value of this cookie
      Parameters:
        `value` - The value to set
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDomain

          public Cookie setDomain(String domain)

      Sets the domain of this cookie
      Parameters:
        `domain` - The domain to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDomain

          public String getDomain()

      Returns:
        the domain for the cookie

    - #### setPath

          public Cookie setPath(String path)

      Sets the path of this cookie.
      Parameters:
        `path` - The path to use for this cookie
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPath

          public String getPath()

      Returns:
        the path for this cookie

    - #### setMaxAge

          public Cookie setMaxAge(long maxAge)

      Sets the maximum age of this cookie in seconds. If an age of `0` is specified, this cookie will be automatically removed by browser because it will expire immediately. If `Long` is specified, this cookie will be removed when the browser is closed. If you don't set this the cookie will be a session cookie and be removed when the browser is closed.
      Parameters:
        `maxAge` - The maximum age of this cookie in seconds
      Returns:

    - #### setSecure

          public Cookie setSecure(boolean secure)

      Sets the security getStatus of this cookie
      Parameters:
        `secure` - True if this cookie is to be secure, otherwise false
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttpOnly

          public Cookie setHttpOnly(boolean httpOnly)

      Determines if this cookie is HTTP only. If set to true, this cookie cannot be accessed by a client side script. However, this works only if the browser supports it. For for information, please look here.
      Parameters:
        `httpOnly` - True if the cookie is HTTP only, otherwise false.
      Returns:

    - #### encode

          public String encode()

      Encode the cookie to a string. This is what is used in the Set-Cookie header
      Returns:
        the encoded cookie

    - #### isChanged

          public boolean isChanged()

      Has the cookie been changed? Changed cookies will be saved out in the response and sent to the browser.
      Returns:
        true if changed

    - #### setChanged

          public void setChanged(boolean changed)

      Set the cookie as being changed. Changed will be true for a cookie just created, false by default if just read from the request
      Parameters:
        `changed` - true if changed

    - #### newInstance

          public static Cookie newInstance(Cookie arg)

Copyright © 2016. All rights reserved.